Bug 134631 - CAN-2004-0687 libxpm flaws affect OpenMotif (CAN-2004-0688, CAN-2004-0914)
CAN-2004-0687 libxpm flaws affect OpenMotif (CAN-2004-0688, CAN-2004-0914)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: openmotif (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
impact=moderate,public=20041117
: Security
Depends On:
Blocks: CVE-2004-0687 CVE-2004-0688 CVE-2004-0914
  Show dependency treegraph
 
Reported: 2004-10-05 05:05 EDT by Mark J. Cox (Product Security)
Modified: 2008-01-28 11:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-02 06:45:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2004-10-05 05:05:42 EDT
During a source code audit, Chris Evans discovered several stack
overflow flaws and an integer overflow flaw in the libXpm library used
to decode XPM (X PixMap) images. A vulnerable version of this library
was found within OpenMotif. An attacker could create a carefully crafted
XPM file which would cause an application to crash or potentially
execute arbitrary code if opened by a victim.  The Common
Vulnerabilities and Exposures project (cve.mitre.org) has assigned the
names CAN-2004-0687 and CAN-2004-0688 to these issues.

Thomas Woerner discovered that OpenMotif had embedded an old libxpm
library that is vulnerable to these issues.  

        CAN-2004-0687/8 Affects: 2.1AS 2.1ES 2.1WS 2.1AW
        CAN-2004-0687/8 Affects: 3AS 3WS 3ES 3Desktop
        CAN-2004-0687/8 Affects: FC2

Updated packages are in creation that correct these issues - for
future distributions openmotif will be modified to use the system libxpm.
Comment 2 Mark J. Cox (Product Security) 2004-11-19 05:34:30 EST
In addition, extra issues were discovered and assigned CAN-2004-0914
which became public on Nov17.
Comment 3 Mark J. Cox (Product Security) 2004-12-02 06:45:41 EST
http://rhn.redhat.com/errata/RHSA-2004-537.html

Note You need to log in before you can comment on or make changes to this bug.